package com.ejie.ad74a.util.constantes;

/**
 * Origen de tipo de documento
 */

public enum TipoDocumentoOrigenEnum {

	ORIGEN_GENERADOS("G"), //
	ORIGEN_APORTADOS("A"), //
	ORIGEN_OTROS_ORGANOS("O");

	private TipoDocumentoOrigenEnum(String id) {
		this.id = id;
	}

	private String id;

	public String getId() {
		return this.id;
	}

	public static TipoDocumentoOrigenEnum getById(String id) {
		for (TipoDocumentoOrigenEnum e : values()) {
			if (e.id.equals(id))
				return e;
		}
		return null;
	}

}
